<< | Thread Index | >> ]    [ << | Date Index | >> ]

Subject: PKCIPE compile error
From: Jeff Liu <jeff,AT,onramp,DOT,ca>
Date: Wed, 27 Jun 2001 17:00:21 +0200

Friends,

I am new to CIPE and trying to setup it in RH7.1 linux box. I have read some 
document include "unsupported kernel version". After I do manually patch 
according to mailing list archive, this problem is fixed. But there comes 
another error while compiling.

What I do is as followed.

1../configure --enable-protocol=4 --enable-idea
2.make

before the end of make I found error messages below.

gmake[1]: Entering directory `/home/jeff/cipe-1.5.2/pkcipe'
gcc  -o pkcipe proto.o negotiate.o main.o packet.o lock.o p_sha1.o 
-L/usr//lib -lcrypto -ldl  -L../lib -lcipe
packet.o: In function `setSendKey':
/home/jeff/cipe-1.5.2/pkcipe/packet.c:53: undefined reference to 
`EVP_CIPHER_CTX_set_key_length'
packet.o: In function `setRecvKey':
/home/jeff/cipe-1.5.2/pkcipe/packet.c:69: undefined reference to 
`EVP_CIPHER_CTX_set_key_length'
collect2: ld returned 1 exit status
gmake[1]: *** [pkcipe] Error 1
gmake[1]: Leaving directory `/home/jeff/cipe-1.5.2/pkcipe'
make: *** [all] Error 2

I tried with --disable-pkcipe, it works fine. But I need pkcipe and I do not 
know how to fix it. Please help me out, if you know how to fix it. Any 
suggestion or idea will be highly appreciated.

Many thanks to you all.

Jeff Liu





<< | Thread Index | >> ]    [ << | Date Index | >> ]